Module | Rubygame::Events::KeyboardEvent
In: | lib/rubygame/events/keyboard_events.rb

KeyboardEvent is a mixin module included in the KeyPressed and KeyReleased classes. It defines the key and modifiers accessors.

### Methods

new

### Attributes

key | [R] |
modifiers | [R] |

### Public Class methods

new( key, modifiers=[] )

Initialize the KeyboardEvent.

key: | a key symbol for the key that was pressed or released. (Symbol, required)
modifiers: | an Array of key symbols for the modifier keys that were active when the event occured. (Array, optional)

[Validate]